# RushFileFilter

RushFileFilter Class

Used for file filter

Fields

Mask | string | The Mask string supports wildcard and regular expressions
IsRegex | bool | Whether a regular expression, default is false
Color | int | The color of this filter, default is black
FileFilterScope | FileFilterScope | Scope of this file filter, default is FolderAndFile
SkipServerToServer | bool | Skip transfer from server to server, default is true
SkipLocalToServer | bool | Skip transfer from local to server, default is true
SkipServerToLocal | bool | Skip transfer from server to local, default is true

Examples

RushFileFilter filter = new RushFileFilter { Mask = "*.jpg", Color = Sys.ColorFromRGB(255,0,0), FileFilterScope = FileFilterScope.File}; //For global options Option.Setting.FileFilters.Add(filter); //For a specific server Server dropbox_server = new Server { Protocol = ServerProtocol.DropBox}; dropbox_server.FileFilters.Add(filter); Site.Add("filter_test",dropbox_server);

See Also

- FileFilterScope
- Option
- Setting
- Server
- Site